---
title: "List audit logs"
description: "Org-wide, mode-gated."
canonical_url: "https://twominutebilling.com/help/developers/api-reference/organization/list-audit-logs"
---
# List audit logs

> Org-wide, mode-gated.

<api-operation method="GET" path="/v1/audit_logs">
<template v-slot:docs="">

## Query parameters

<table>
<thead>
  <tr>
    <th>
      Parameter
    </th>
    
    <th>
      Type
    </th>
    
    <th>
      Required
    </th>
    
    <th>
      Description
    </th>
  </tr>
</thead>

<tbody>
  <tr>
    <td>
      <code>
        category[is]
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      no
    </td>
    
    <td>
      <code>
        security
      </code>
      
       returns only security-trail entries: actions that start with <code>
        api_key.
      </code>
      
      , <code>
        webhook_endpoint.
      </code>
      
      , <code>
        gateway_account.
      </code>
      
      , <code>
        integration.
      </code>
      
      , <code>
        mail_transport.
      </code>
      
      , <code>
        team.
      </code>
      
       or <code>
        organization.two_factor.
      </code>
      
      , and <code>
        data.export
      </code>
      
      . <code>
        other
      </code>
      
       returns all remaining entries. Also accepts <code>
        is_not
      </code>
      
      , <code>
        in
      </code>
      
      , <code>
        not_in
      </code>
      
       and <code>
        is_present
      </code>
      
      .
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        action
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      no
    </td>
    
    <td>
      Only entries with this action.
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        resource_type
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      no
    </td>
    
    <td>
      Only entries about this kind of resource.
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        resource_id
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      no
    </td>
    
    <td>
      Only entries about this resource.
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        actor
      </code>
    </td>
    
    <td>
      <code>
        string
      </code>
    </td>
    
    <td>
      no
    </td>
    
    <td>
      Only entries by this actor.
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        limit
      </code>
    </td>
    
    <td>
      <code>
        integer
      </code>
    </td>
    
    <td>
      no
    </td>
    
    <td>
      Maximum number of entries to return.
    </td>
  </tr>
  
  <tr>
    <td>
      <code>
        before
      </code>
    </td>
    
    <td>
      <code>
        string · ISO-8601
      </code>
    </td>
    
    <td>
      no
    </td>
    
    <td>
      Only entries before this time (ISO-8601 UTC).
    </td>
  </tr>
</tbody>
</table>

## Status codes

<table>
<thead>
  <tr>
    <th>
      Status
    </th>
    
    <th>
      Meaning
    </th>
  </tr>
</thead>

<tbody>
  <tr>
    <td>
      <code>
        200
      </code>
    </td>
    
    <td>
      A list of audit log entries
    </td>
  </tr>
</tbody>
</table>
</template>

<template v-slot:request="">

```bash [Request]
curl "$TMBILLING_URL/v1/audit_logs?limit=10" \
  -H "Authorization: Bearer $TMBILLING_API_KEY"
```

</template>

<template v-slot:response="">

```json [200 OK]
{}
```

</template>
</api-operation>


## Sitemap

See the full [sitemap](https://twominutebilling.com/sitemap.md) for all pages.
